Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-18844

Subversion SCMPolling does not work with Subversion Server 1.8 (SVNException)

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Component/s: subversion-plugin
    • Labels:
      None
    • Environment:
      FreeBSD 9
      Jenkins ver. 1.514
      Subversion Server 1.8
      Jenkins Subversion Plug-in 1.50
    • Similar Issues:

      Description

      Hey,

      if i enable SCMPolling as a mode for build triggering with an subversion servr 1.8 i got the exception:

      Jul 19, 2013 1:31:01 PM hudson.scm.SubversionSCM$CheckOutTask checkClockOutOfSync
      INFO: Failed to estimate the remote time stamp
      org.tmatesoft.svn.core.SVNException: svn: E210004: Number is larger than maximum
      	at org.tmatesoft.svn.core.internal.wc.SVNErrorManager.error(SVNErrorManager.java:64)
      	at org.tmatesoft.svn.core.internal.wc.SVNErrorManager.error(SVNErrorManager.java:51)
      	at org.tmatesoft.svn.core.internal.io.svn.SVNReader.readItem(SVNReader.java:400)
      	at org.tmatesoft.svn.core.internal.io.svn.SVNReader.readItem(SVNReader.java:456)
      	at org.tmatesoft.svn.core.internal.io.svn.SVNReader.readItem(SVNReader.java:456)
      	at org.tmatesoft.svn.core.internal.io.svn.SVNReader.readItem(SVNReader.java:456)
      	at org.tmatesoft.svn.core.internal.io.svn.SVNReader.readItem(SVNReader.java:456)
      	at org.tmatesoft.svn.core.internal.io.svn.SVNReader.readTuple(SVNReader.java:288)
      	at org.tmatesoft.svn.core.internal.io.svn.SVNReader.parse(SVNReader.java:241)
      	at org.tmatesoft.svn.core.internal.io.svn.SVNConnection.read(SVNConnection.java:272)
      	at org.tmatesoft.svn.core.internal.io.svn.SVNRepositoryImpl.read(SVNRepositoryImpl.java:1290)
      	at org.tmatesoft.svn.core.internal.io.svn.SVNRepositoryImpl.info(SVNRepositoryImpl.java:1203)
      	at hudson.scm.SubversionSCM$CheckOutTask.checkClockOutOfSync(SubversionSCM.java:908)
      	at hudson.scm.SubversionSCM$CheckOutTask.invoke(SubversionSCM.java:886)
      	at hudson.scm.SubversionSCM$CheckOutTask.invoke(SubversionSCM.java:867)
      	at hudson.FilePath.act(FilePath.java:904)
      	at hudson.FilePath.act(FilePath.java:877)
      	at hudson.scm.SubversionSCM.checkout(SubversionSCM.java:843)
      	at hudson.scm.SubversionSCM.checkout(SubversionSCM.java:781)
      	at hudson.model.AbstractProject.checkout(AbstractProject.java:1369)
      	at hudson.model.AbstractBuild$AbstractBuildExecution.defaultCheckout(AbstractBuild.java:676)
      	at jenkins.scm.SCMCheckoutStrategy.checkout(SCMCheckoutStrategy.java:88)
      	at hudson.model.AbstractBuild$AbstractBuildExecution.run(AbstractBuild.java:581)
      	at hudson.model.Run.execute(Run.java:1575)
      	at hudson.model.FreeStyleBuild.run(FreeStyleBuild.java:46)
      	at hudson.model.ResourceController.execute(ResourceController.java:88)
      	at hudson.model.Executor.run(Executor.java:241)
      Caused by: svn: E210004: Number is larger than maximum
      	at org.tmatesoft.svn.core.SVNErrorMessage.create(SVNErrorMessage.java:208)
      	at org.tmatesoft.svn.core.SVNErrorMessage.create(SVNErrorMessage.java:154)
      	at org.tmatesoft.svn.core.SVNErrorMessage.create(SVNErrorMessage.java:97)
      	at org.tmatesoft.svn.core.internal.io.svn.SVNReader.readItem(SVNReader.java:399)
      	... 24 more
      

        Attachments

          Issue Links

            Activity

            andygrunwald Andy Grunwald created issue -
            Hide
            andygrunwald Andy Grunwald added a comment -

            svnkit 1.8 is available http://svnkit.com/download.php

            Show
            andygrunwald Andy Grunwald added a comment - svnkit 1.8 is available http://svnkit.com/download.php
            andygrunwald Andy Grunwald made changes -
            Field Original Value New Value
            Link This issue is related to JENKINS-11381 [ JENKINS-11381 ]
            kutzi kutzi made changes -
            Link This issue is related to JENKINS-18935 [ JENKINS-18935 ]
            Hide
            rato Ralf Tobel added a comment -

            This happens if the server is running version 1.8 of subversion. even when the repository itself is still on version 1.7.
            This was fixed in SVNKIT 1.7.10.

            Show
            rato Ralf Tobel added a comment - This happens if the server is running version 1.8 of subversion. even when the repository itself is still on version 1.7. This was fixed in SVNKIT 1.7.10.
            Hide
            salvojo John Salvo added a comment -

            Just added a comment in JENKINS-18935 that is relevant to this JIRA.

            I had this exact same issue before: "svn: E210004: Number is larger than maximum".

            Jenkins subversion plug-in 1.51 now uses svnkit 1.7.10, which seems to have fixed this issue and allowed jenkins to connect, authenticate, checkout, and tag to an SVN server running version 1.8.

            Show
            salvojo John Salvo added a comment - Just added a comment in JENKINS-18935 that is relevant to this JIRA. I had this exact same issue before: "svn: E210004: Number is larger than maximum". Jenkins subversion plug-in 1.51 now uses svnkit 1.7.10, which seems to have fixed this issue and allowed jenkins to connect, authenticate, checkout, and tag to an SVN server running version 1.8.
            Hide
            mark3000 mark 3000 added a comment -

            A quick test after upgrading to 1.51 w/ Jenkins 1.518 (Windows) still results in the following error:

            svn: E155036: Please see the 'svn upgrade' command
            svn: E155036: The working copy at '\Jenkins\workspace\...'
            is too old (format 29) to work with client version '1.8.1 (r1503906)' (expects format 31). You need to upgrade the working copy first.

            The machine was rebooted and workspace deleted before test results. Implementing the 'svn upgrade' command with a Windows batch script in the job resolves the issue.

            Show
            mark3000 mark 3000 added a comment - A quick test after upgrading to 1.51 w/ Jenkins 1.518 (Windows) still results in the following error: svn: E155036: Please see the 'svn upgrade' command svn: E155036: The working copy at '\Jenkins\workspace\...' is too old (format 29) to work with client version '1.8.1 (r1503906)' (expects format 31). You need to upgrade the working copy first. The machine was rebooted and workspace deleted before test results. Implementing the 'svn upgrade' command with a Windows batch script in the job resolves the issue.
            Hide
            kutzi kutzi added a comment - - edited

            Since subversion plugin 1.53 we have svnkit 1.7.10, which should fix the issue with Subversion servers 1.8 (when locally still having the 1.7 workspace format)
            Can someone confirm that this is fixed with 1.53?

            Show
            kutzi kutzi added a comment - - edited Since subversion plugin 1.53 we have svnkit 1.7.10, which should fix the issue with Subversion servers 1.8 (when locally still having the 1.7 workspace format) Can someone confirm that this is fixed with 1.53?
            Hide
            kutzi kutzi added a comment -

            According to comments in JENKINS-18935 this is fixed in subversion plugin 1.51

            Show
            kutzi kutzi added a comment - According to comments in JENKINS-18935 this is fixed in subversion plugin 1.51
            kutzi kutzi made changes -
            Status Open [ 1 ] Resolved [ 5 ]
            Resolution Fixed [ 1 ]
            rtyler R. Tyler Croy made changes -
            Workflow JNJira [ 150194 ] JNJira + In-Review [ 193457 ]

              People

              • Assignee:
                Unassigned
                Reporter:
                andygrunwald Andy Grunwald
              • Votes:
                14 Vote for this issue
                Watchers:
                17 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: